Package fr.gouv.vitam.worker.core.plugin

# Class UpdateUnitFinalize

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.UpdateUnitFinalize

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `BulkAtomicUpdateFinalize`, `MassUpdateFinalize`, `RevertUpdateUnitFinalizePlugin`

public abstract class UpdateUnitFinalize extends ActionHandler
Generate the report :
- compute data from batch-report
- store the report file
- clean the batch-report data

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateUnitFinalize()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action
  `protected abstract String`
  `getPluginId()`
  `protected ReportSummary`
  `getReport(LogbookOperation logbook)`
  `protected abstract ReportType`
  `getReportType()`
  `protected Map<StatusCode,Integer>`
  `getStatusStatistic(LogbookEvent logbookEvent)`
  `protected abstract String`
  `getUpdateActionKey()`
  `protected abstract String`
  `getUpdateType()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateUnitFinalize

    public UpdateUnitFinalize()

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action

  - ### getReport

    protected ReportSummary getReport(LogbookOperation logbook)

  - ### getStatusStatistic

    protected Map<StatusCode,Integer> getStatusStatistic(LogbookEvent logbookEvent)

  - ### getPluginId

    protected abstract String getPluginId()

  - ### getUpdateType

    protected abstract String getUpdateType()

  - ### getUpdateActionKey

    protected abstract String getUpdateActionKey()

  - ### getReportType

    protected abstract ReportType getReportType()